# SPIExt in k210_soc::spi - Rust
Extension trait that constrains SPI peripherals
Keywords: rust, rustlang, rust-lang, SPIExt

# Trait k210_soc::spi::SPIExt

source · [−]

    pub trait SPIExt: Sized {
        fn constrain(self) -> SPIImpl<Self>;
    }

Expand description

Extension trait that constrains SPI peripherals

## Required methods

source

#### fn constrain(self) -> SPIImpl<Self>

Constrains SPI peripheral so it plays nicely with the other abstractions

## Implementors

source

### impl<SPI: SPI01> SPIExt for SPI